ubuntu/+source/udisks2:ubuntu/eoan-proposed

Last commit made on 2019-07-23
Get this branch:
git clone -b ubuntu/eoan-proposed https://git.launchpad.net/ubuntu/+source/udisks2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/eoan-proposed
Repository:
lp:ubuntu/+source/udisks2

Recent commits

06514d8... by Michael Biebl on 2019-07-22

Import patches-unapplied version 2.8.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e75824b21686b8ab3e216a020791be1079a5d567

New changelog entries:
  * New upstream version 2.8.4
  * Make no-patch-numbers the default for gbp-pq
  * autopkgtest: Enable ntfs-3g integration tests
  * autopkgtest: Enable exfat integration tests
  * autopkgtest: Add python3-distutils to test dependencies

e75824b... by Michael Biebl on 2019-07-11

Import patches-unapplied version 2.8.3-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1d42672ee96f0ade34b2f9876ed87cea83288829

New changelog entries:
  * Actually remove zram-setup@.service from from udisks2 package
    (Closes: #931839)

1d42672... by Michael Biebl on 2019-07-10

Import patches-unapplied version 2.8.3-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5b055f43e3b45490872bc9831a5cab509a7a4c10

New changelog entries:
  * Move zram-setup@.service from udisks2 to udisks2-zram.
    Add Breaks/Replaces accordingly. (Closes: #931399)
  * New upstream version 2.8.3
  * Update symbols file for libudisks2-0
  * Drop no longer needed lintian override
  * Actually bump debhelper compat level to 12

5b055f4... by Michael Biebl on 2019-03-04

Import patches-unapplied version 2.8.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6d79f1e643da56ed6cffb00a51c0ad5fc13fd96e

New changelog entries:
  * New upstream version 2.8.2
  * Replace Build-Depends on intlttool with gettext.
    Upstream has migrated from intltool to gettext.
    Add Build-Depends on policykit-1 (>= 0.105-18) so we have its .loc and
    .its files which are required for translating the policy files.
    Drop gnome-commmon Build-Depends as it is no longer needed.
    (Closes: #829943)
  * Drop patches, all merged upstream
  * Bump Standards-Version ot 4.3.0
  * Use debhelper-compat (= 12) Build-Depends and drop debian/compat

6d79f1e... by Jeremy Bicha on 2019-02-22

Import patches-unapplied version 2.8.1-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 749ce281e1f803262e6d8601521adac212d39ab4

New changelog entries:
  * Cherry-pick commit to fix test race condition detected by Ubuntu ppc64el

749ce28... by Michael Biebl on 2018-11-26

Import patches-unapplied version 2.8.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ea069083a11067dab9e739c91ae3ceddb4862908

New changelog entries:
  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/org.freedesktop.UDisks2.conf
    on upgrades
  * Bump Standards-Version to 4.2.1

ea06908... by Jeremy Bicha on 2018-10-14

Import patches-unapplied version 2.8.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ddf330c5a078a6f465bd8871bd3265f7fbfb9756

New changelog entries:
  * Team upload.
  * Enable support for Virtual Data Optimizer (VDO)
    - Split the vdo module into a separate package named udisks2-vdo.
  * Enable support for bcache
    - Split the bcache module into a separate package named udisks2-bcache.
  * Enable support for zram
    - Split the zram module into a separate package named udisks2-zram.
  * Enable all hardening flags
  * Bump debhelper compat to 11
  * Revert "Fix udevadm-called-without-guard lintian warning":
    - This was a false positive. See #909801

ddf330c... by Jeremy Bicha on 2018-09-28

Import patches-unapplied version 2.8.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4670cfa2e52db6f6a9e10cc355eecf7cc59ac7ba

New changelog entries:
  [ Andreas Henriksson ]
  * New upstream release.
    - includes fix for CVE-2018-17336 (Closes: #909607)
  * Bump build-dependency version according to configure.ac changes
  * Drop patches from upstream now included in release
  * libudisks2-0.symbols: Add newly introduced symbols
  [ Jeremy Bicha ]
  * Fix udevadm-called-without-guard lintian warning

4670cfa... by Iain Lane on 2018-04-19

Import patches-unapplied version 2.7.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2120db7c23cf8971ef9a7691f566c6a1398edf52

New changelog entries:
  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  [ Iain Lane ]
  * debian/rules, debian/substvars: Recommend libblockdev-crypto2 in Ubuntu
    too - the package is going to main now. (LP: #1757321)
  * d/p/0001-integration-test-Wait-longer-after-the-scsi-debug-CD.patch,
    d/p/0002-integration-test-don-t-error-out-on-an-unknown-distr.patch,
    d/p/0004-tests-Pass-absolute-path-to-targetcli_config.json.patch:
    Cherry-pick patches from upstream or in one case an upstream PR to fix
    testsuite failures. All via Ubuntu.
  * d/p/0003-main.c-Properly-remove-sigint-source.patch: Remove GSource
    properly - the old way was causing crashes.
  * debian/tests/control: Add test-deps on libblockdev-crypto2 and
    targetcli-fb, both of which are required by the testsuite.

2120db7... by Jeremy Bicha on 2018-03-08

Import patches-unapplied version 2.7.6-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e6b7dc33a296a0c228705da642b39094efb34f8e

New changelog entries:
  * Team upload
  * Don't recommend exfat-utils on Ubuntu since it's in universe.
    See bug 1649537.
  * Don't recommend libblockdev-crypto2 on Ubuntu since volume-key
    is in universe. See bug 1754422.